<!DOCTYPE html>
<html <?php language_attributes(); ?>>
<head>
    <meta charset="<?php bloginfo( 'charset' ); ?>">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title><?php wp_title('|', true, 'right'); ?></title>
    <link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/style.css">
    <link rel="stylesheet" href="<?php echo get_stylesheet_directory_uri(); ?>/css/creator_dashboard_style.css">
    <?php wp_head(); ?> 
</head>
<body <?php body_class(); ?>>
    <div id="page-wrapper" class="page-wrapper">
        <header id="site_header" class="site_header">
            <div class="nav-drop">
                <div class="jcf-scrollable">
                    <div class="header-login">
                        <div class="user-register">
                            <?php if ( is_user_logged_in() ) : ?>
                                <a href="<?php echo site_url('/creator'); ?>">Dashboard</a>
                            <?php else : ?>
                                <a href="<?php echo site_url('/login'); ?>">Login</a><div class="space-line"> / </div><a href="<?php echo site_url('/register'); ?>">Sign Up</a>
                            <?php endif; ?>
                        </div>
                        <div class="close-menubtn">
                            <button>
                                <span>close</span><svg class="al1lul1" width="20" height="19" viewBox="0 0 20 19" fill="none" xmlns="http://www.w3.org/2000/svg"><title>Close</title><line x1="1.70711" y1="0.831956" x2="18.6483" y2="17.7731" stroke="currentColor" stroke-width="2"></line><line x1="1.35149" y1="17.7734" x2="18.2927" y2="0.832185" stroke="currentColor" stroke-width="2"></line></svg>
                            </button>
                        </div>
                    </div>
                    <div class="site-serach-bar">
                        <form role="search" method="get" action="<?php echo esc_url(home_url('/')); ?>">
                            <div class="form-field">                                    
                                <input type="search" placeholder="Search" required="" value="<?php echo get_search_query(); ?>" name="s" />
                            </div>
                            <div class="form-acction">
                                <button type="submit">
                                    <svg class="_1yqd7kl3 iaa3me3" width="25" height="24" viewBox="0 0 27 26" fill="none" xmlns="http://www.w3.org/2000/svg"><path fill-rule="evenodd" clip-rule="evenodd" d="M18.9014 19.5858C17.0158 21.0382 14.6241 21.9067 12.0217 21.9067C5.9346 21.9067 1 17.1549 1 11.2932C1 5.43152 5.9346 0.679688 12.0217 0.679688C18.1089 0.679688 23.0435 5.43152 23.0435 11.2932C23.0435 13.7992 22.1416 16.1023 20.6333 17.918L26 23.086L24.2681 24.7538L18.9014 19.5858ZM3.44927 11.2932C3.44927 6.73412 7.2873 3.03825 12.0217 3.03825C16.7562 3.03825 20.5942 6.73412 20.5942 11.2932C20.5942 13.416 19.7621 15.3516 18.3949 16.8142L17.755 17.4303C16.2362 18.7469 14.2262 19.5482 12.0217 19.5482C7.2873 19.5482 3.44927 15.8523 3.44927 11.2932Z" fill="currentColor" stroke="none" stroke-width="0.5" stroke-linecap="square"></path></svg>
                                </button>
                            </div>
                        </form>

                    </div>
                    <div class="aside-holder">
                        <?php
                            wp_nav_menu(array(
                                'theme_location' => 'footer-menu',
                                'container' => 'nav', 
                                'container_class' => 'header-nav',
                                'container_id' => 'aside-nav',
                                'menu_class' => 'main-nav'
                            ));
                        ?>
                    </div>
                    <div class="headersocial-media">
                        <ul>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-facebook-f"></i></a></li>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-x-twitter"></i></a></li>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-instagram"></i></a></li>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-youtube"></i></a></li>
                            <li><a href="#" target="_blank"><i class="fa-brands fa-tiktok"></i></a></li>
                        </ul>   
                </div>
                </div>
            </div>
            <div class="main-header-bar">
                <div class="container">
                    <div class="header-bar-inner">
                        <div class="left-side-header">
                            <div id="logo-wrap" class="site-logo">
                                <a href="<?php echo get_site_url(); ?>">
                                    <?php
                                        if (function_exists('the_custom_logo')) {
                                            the_custom_logo();
                                        }else{
                                            ?><img width="653" height="197" src="https://thelondonchronicle.co.uk/wp-content/uploads/2025/05/cropped-logo__1_-removebg-preview.png" 
                                    class="custom-logo" alt="The London Chronicle" decoding="async" fetchpriority="high" 
                                    srcset="https://thelondonchronicle.co.uk/wp-content/uploads/2025/05/cropped-logo__1_-removebg-preview.png 653w, https://thelondonchronicle.co.uk/wp-content/uploads/2025/05/cropped-logo__1_-removebg-preview-300x91.png 300w" 
                                    sizes="(max-width: 653px) 100vw, 653px"><?php   
                                        }
                                    ?>
                                </a>
                            </div>
                        </div>
                        <div class="right-side-header">
                            <div class="right-side-header-inner">
                                <?php
                                    wp_nav_menu(array(
                                        'theme_location' => 'main-menu',
                                        'container' => 'nav', 
                                        'container_class' => 'navigation',
                                        'menu_class' => 'main',
                                        'menu_id' => 'menu-header-menu-1'
                                    ));
                                ?>                           
                                <div id="hamburger-holder" class="hamburger-holder">
                                    <a class="hamburger" href="#">
                                        <span>Menu</span>
                                        <span class="menu-icon"><i class="fa-solid fa-bars"></i></span>
                                    </a>
                                </div>
                            </div>
                        </div>
                    </div>  
                </div>
            </div>
        </header>
        <div class="clearfix"></div>
        <main id="main-content" class="main-content">
            <div class="site-main-content-wrap">