<?php
/* Template Name: Home page */
get_header();
?>

    <div class="container">
        <section class="home-post-style1">
            <div class="row">
                <!-- LEFT SIDE: Main Post -->
                <div class="col-lg-8 left-side">
                    <div class="post-content-wrapper main-post-wrap">
                        <div class="post-content-inner-wrap">
                            <?php
                            $main_query = new WP_Query(array(
                                'posts_per_page' => 1
                            ));
                            if ($main_query->have_posts()) :
                                while ($main_query->have_posts()) : $main_query->the_post();
                                    $category = get_the_category();
                                    ?>
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php if (has_post_thumbnail()) {
                                                    the_post_thumbnail('large');
                                                } ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="cat-name">
                                                <span><?php echo esc_html($category[0]->name); ?></span>
                                            </div>
                                            <div class="post-title">
                                                <h1><?php the_title(); ?></h1>
                                            </div>
                                            <div class="desc">
                                                <p><?php echo get_the_excerpt(); ?></p>
                                            </div>
                                            <div class="post-info-block">
                                                <span>By <span class="author-name"><?php the_author(); ?></span></span>
                                            </div>
                                        </div>
                                    </a>
                                    <?php
                                endwhile;
                                wp_reset_postdata();
                            endif;
                            ?>
                        </div>
                    </div>
                </div>
        
                <!-- RIGHT SIDE: Featured and Short Posts -->
                <div class="col-lg-4 right-side">
                    <!-- Top Right: Featured Posts (2) -->
                    <div class="post-content-wrapper featured-post-type">
                        <?php
                        $featured_query = new WP_Query(array(
                            'posts_per_page' => 2,
                            'offset' => 1
                        ));
                        if ($featured_query->have_posts()) :
                            while ($featured_query->have_posts()) : $featured_query->the_post();
                                $category = get_the_category();
                                ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php if (has_post_thumbnail()) {
                                                    the_post_thumbnail('medium');
                                                } ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="cat-name">
                                                <span><?php echo esc_html($category[0]->name); ?></span>
                                            </div>
                                            <div class="post-title">
                                                <h3><?php the_title(); ?></h3>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <?php
                            endwhile;
                            wp_reset_postdata();
                        endif;
                        ?>
                    </div>
        
                    <!-- Bottom Right: Short Posts (3) -->
                    <div class="post-content-wrapper">
                        <?php
                        $short_query = new WP_Query(array(
                            'posts_per_page' => 3,
                            'offset' => 3
                        ));
                        if ($short_query->have_posts()) :
                            while ($short_query->have_posts()) : $short_query->the_post();
                                $category = get_the_category();
                                ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-content-box">
                                            <div class="cat-name">
                                                <span><?php echo esc_html($category[0]->name); ?></span>
                                            </div>
                                            <div class="desc">
                                                <p><?php echo get_the_excerpt(); ?></p>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                                <?php
                            endwhile;
                            wp_reset_postdata();
                        endif;
                        ?>
                    </div>
                </div>
            </div>
        </section>

        <div class="clearfix"></div>                         
        <section class="home-post-style2">
            <div class="section-title-block">
                <h2>News</h2>
                <span class="more-posts">
                    <a href="<?php echo esc_url(get_category_link(get_cat_ID('News'))); ?>">More</a>
                </span>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="post-content-wrapper">
                        <?php
                        $fp_query = new WP_Query(array(
                            'posts_per_page' => 5,
                            'category_name' => 'news' // Replace with your category slug
                        ));
                        if ($fp_query->have_posts()) :
                            while ($fp_query->have_posts()) : $fp_query->the_post(); ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php if (has_post_thumbnail()) {
                                                    the_post_thumbnail('medium');
                                                } else {
                                                    echo '<img src="' . get_template_directory_uri() . '/img/default.jpg" alt="Default Image">';
                                                } ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="post-title">
                                                <h5><?php the_title(); ?></h5>
                                            </div>
                                            <div class="post-info-block">
                                                <span>By <span class="author-name"><?php the_author(); ?></span></span>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            <?php
                            endwhile;
                            wp_reset_postdata();
                        else :
                            echo '<p>No posts found.</p>';
                        endif;
                        ?>
                    </div>
                </div>
            </div>
        </section>
 
        <div class="clearfix"></div>                    
        <section class="home-post-style2">
            <div class="section-title-block">
                <h2>News</h2>
                <span class="more-posts">
                    <a href="<?php echo esc_url(get_category_link(get_cat_ID('news'))); ?>">More</a>
                </span>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="post-content-wrapper">
                        <?php
                        $fp_query = new WP_Query(array(
                            'posts_per_page' => 5,
                            'category_name'  => 'news' // use your category slug here
                        ));
                        if ($fp_query->have_posts()) :
                            while ($fp_query->have_posts()) : $fp_query->the_post(); ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php 
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail('medium');
                                                } else {
                                                    echo '<img src="' . get_template_directory_uri() . '/img/default.jpg" alt="Default Image">';
                                                }
                                                ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="post-title">
                                                <h5><?php the_title(); ?></h5>
                                            </div>
                                            <div class="post-info-block">
                                                <span>By <span class="author-name"><?php the_author(); ?></span></span>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                        <?php
                            endwhile;
                            wp_reset_postdata();
                        else :
                            echo '<p>No posts found.</p>';
                        endif;
                        ?>
                    </div>
                </div>
            </div>
        </section>
      
        <div class="clearfix"></div>                    
        <section class="home-post-style2">
            <div class="section-title-block">
                <h2>News</h2>
                <span class="more-posts">
                    <a href="<?php echo esc_url(get_category_link(get_cat_ID('news'))); ?>">More</a>
                </span>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="post-content-wrapper">
                        <?php
                        $query = new WP_Query(array(
                            'posts_per_page' => 5,
                            'category_name'  => 'news'  // replace with your category slug
                        ));
                        if ($query->have_posts()) :
                            while ($query->have_posts()) : $query->the_post(); ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail('medium');
                                                } else {
                                                    echo '<img src="' . get_template_directory_uri() . '/img/default.jpg" alt="Default image">';
                                                }
                                                ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="post-title">
                                                <h5><?php the_title(); ?></h5>
                                            </div>
                                            <div class="post-info-block">
                                                <span>By <span class="author-name"><?php the_author(); ?></span></span>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            <?php
                            endwhile;
                            wp_reset_postdata();
                        else :
                            echo '<p>No posts found.</p>';
                        endif;
                        ?>
                    </div>
                </div>
            </div>
        </section>
                       
        <div class="clearfix"></div>                    
            <section class="home-post-style3">
                <div class="section-title-block">
                    <h2>Arts</h2>
                    <span class="more-posts">
                        <a href="<?php echo esc_url(get_category_link(get_cat_ID('arts'))); ?>">More</a>
                    </span>
                </div>
            
                <?php
                // Query 6 posts from category 'explainers'
                $args = [
                    'posts_per_page' => 6,
                    'category_name' => 'arts',
                    'orderby' => 'date',
                    'order' => 'DESC',
                ];
                $explainer_query = new WP_Query($args);
                if ($explainer_query->have_posts()) :
                    $posts = $explainer_query->posts; // all 6 posts as array
                ?>
            
                <div class="row home-post-style3-top">
                    <div class="col-lg-6 left-side">
                        <?php 
                        // Main big post = first post
                        $main_post = $posts[0];
                        setup_postdata($main_post);
                        ?>
                        <div class="post-content-wrapper main-post-wrap">
                            <div class="post-content-inner-wrap">
                                <a href="<?php echo get_permalink($main_post); ?>">
                                    <div class="post-img-block">
                                        <div class="img-box">
                                            <?php echo get_the_post_thumbnail($main_post, 'large'); ?>
                                        </div>
                                    </div>
                                    <div class="post-content-box">
                                        <div class="cat-name">
                                            <?php 
                                            $cats = get_the_category($main_post->ID);
                                            if (!empty($cats)) {
                                                echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                            }
                                            ?>
                                        </div>
                                        <div class="post-title">
                                            <h2><?php echo esc_html(get_the_title($main_post)); ?></h2>
                                        </div>
                                        <div class="desc">
                                            <p><?php echo esc_html(get_the_excerpt($main_post)); ?></p>
                                        </div>
                                        <div class="post-info-block">
                                            <span>By <span class="author-name"><?php echo get_the_author_meta('display_name', $main_post->post_author); ?></span></span>
                                        </div>
                                    </div>
                                </a>
                            </div>
                        </div>
                    </div>
            
                    <div class="col-lg-6 right-side">
                        <div class="post-content-wrapper">
                            <?php
                            // Next two posts (index 1 and 2)
                            for ($i = 1; $i <= 2; $i++) :
                                $post = $posts[$i];
                                setup_postdata($post);
                            ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php echo get_permalink($post); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php echo get_the_post_thumbnail($post, 'medium'); ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="cat-name">
                                                <?php
                                                $cats = get_the_category($post->ID);
                                                if (!empty($cats)) {
                                                    echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                                }
                                                ?>
                                            </div>
                                            <div class="post-title">
                                                <h3><?php echo esc_html(get_the_title($post)); ?></h3>
                                            </div>
                                            <div class="desc">
                                                <p><?php echo esc_html(get_the_excerpt($post)); ?></p>
                                            </div>
                                            <div class="post-info-block">
                                                <span>By <span class="author-name"><?php echo get_the_author_meta('display_name', $post->post_author); ?></span></span>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            <?php endfor; ?>
                        </div>
                    </div>
                </div>
            
                <div class="row home-post-style3-bottom">
                    <div class="col-md-12">
                        <div class="post-content-wrapper">
                            <?php
                            // Last three posts (index 3,4,5)
                            for ($i = 3; $i <= 5; $i++) :
                                $post = $posts[$i];
                                setup_postdata($post);
                            ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php echo get_permalink($post); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php echo get_the_post_thumbnail($post, 'thumbnail'); ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="cat-name">
                                                <?php
                                                $cats = get_the_category($post->ID);
                                                if (!empty($cats)) {
                                                    echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                                }
                                                ?>
                                            </div>
                                            <div class="desc">
                                                <p><?php echo esc_html(get_the_excerpt($post)); ?></p>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            <?php endfor; ?>
                        </div>
                    </div>
                </div>
            
                <?php
                wp_reset_postdata();
                else :
                    echo '<p>No posts found in Explainers.</p>';
                endif;
                ?>
            </section>
                 
        <div class="clearfix"></div>  
        <section class="home-post-style1">
            <div class="section-title-block">
                <h2>Arts</h2>
            </div>
        
            <?php
            // Query 6 posts from category 'explainers'
            $args = [
                'posts_per_page' => 6,
                'category_name' => 'arts',
                'orderby' => 'date',
                'order' => 'DESC',
            ];
            $query = new WP_Query($args);
            if ($query->have_posts()) :
                $posts = $query->posts; // get all posts in array
            ?>
        
            <div class="row">
                <div class="col-lg-8 left-side">
                    <?php
                    // Main big post (first post)
                    $main_post = $posts[0];
                    setup_postdata($main_post);
                    ?>
                    <div class="post-content-wrapper main-post-wrap">
                        <div class="post-content-inner-wrap">
                            <a href="<?php echo get_permalink($main_post); ?>">
                                <div class="post-img-block">
                                    <div class="img-box">
                                        <?php echo get_the_post_thumbnail($main_post, 'large'); ?>
                                    </div>
                                </div>
                                <div class="post-content-box">
                                    <div class="cat-name">
                                        <?php
                                        $cats = get_the_category($main_post->ID);
                                        if (!empty($cats)) {
                                            echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                        }
                                        ?>
                                    </div>
                                    <div class="post-title">
                                        <h1><?php echo esc_html(get_the_title($main_post)); ?></h1>
                                    </div>
                                    <div class="desc">
                                        <p><?php echo esc_html(get_the_excerpt($main_post)); ?></p>
                                    </div>
                                    <div class="post-info-block">
                                        <span>By <span class="author-name"><?php echo get_the_author_meta('display_name', $main_post->post_author); ?></span></span>
                                    </div>
                                </div>
                            </a>
                        </div>
                    </div>
                </div>
        
                <div class="col-lg-4 right-side">
                    <div class="post-content-wrapper featured-post-type">
                        <?php
                        // Next two featured posts (index 1 and 2)
                        for ($i = 1; $i <= 2; $i++) :
                            $post = $posts[$i];
                            setup_postdata($post);
                        ?>
                        <div class="post-content-inner-wrap">
                            <a href="<?php echo get_permalink($post); ?>">
                                <div class="post-img-block">
                                    <div class="img-box">
                                        <?php echo get_the_post_thumbnail($post, 'medium'); ?>
                                    </div>
                                </div>
                                <div class="post-content-box">
                                    <div class="cat-name">
                                        <?php
                                        $cats = get_the_category($post->ID);
                                        if (!empty($cats)) {
                                            echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                        }
                                        ?>
                                    </div>
                                    <div class="post-title">
                                        <h3><?php echo esc_html(get_the_title($post)); ?></h3>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endfor; ?>
                    </div>
        
                    <div class="post-content-wrapper">
                        <?php
                        // Last three posts (index 3,4,5) — category + excerpt only, no images
                        for ($i = 3; $i <= 5; $i++) :
                            $post = $posts[$i];
                            setup_postdata($post);
                        ?>
                        <div class="post-content-inner-wrap">
                            <a href="<?php echo get_permalink($post); ?>">
                                <div class="post-content-box">
                                    <div class="cat-name">
                                        <?php
                                        $cats = get_the_category($post->ID);
                                        if (!empty($cats)) {
                                            echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                        }
                                        ?>
                                    </div>
                                    <div class="desc">
                                        <p><?php echo esc_html(get_the_excerpt($post)); ?></p>
                                    </div>
                                </div>
                            </a>
                        </div>
                        <?php endfor; ?>
                    </div>
                </div>
            </div>
        
            <?php
            wp_reset_postdata();
            else :
                echo '<p>No posts found in Explainers.</p>';
            endif;
            ?>
        </section>

        <div class="clearfix"></div>                    
        <section class="home-post-style2">
            <div class="section-title-block">
                <h2>News</h2>
                <span class="more-posts"><a href="<?php echo esc_url(get_category_link(get_category_by_slug('news')->term_id)); ?>">More</a></span>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="post-content-wrapper">
        
                        <?php
                        $args = [
                            'posts_per_page' => 5,
                            'category_name' => 'news', // change to your category slug
                            'orderby' => 'date',
                            'order' => 'DESC',
                        ];
                        $query = new WP_Query($args);
        
                        if ($query->have_posts()) :
                            while ($query->have_posts()) : $query->the_post();
                        ?>
                        <div class="post-content-inner-wrap">
                            <a href="<?php the_permalink(); ?>">
                                <div class="post-img-block">
                                    <div class="img-box">
                                        <?php
                                        if (has_post_thumbnail()) {
                                            the_post_thumbnail('medium');
                                        } else {
                                            // fallback image if no thumbnail
                                            echo '<img src="' . esc_url(get_template_directory_uri() . '/img/demo-2.jpg') . '" alt="default image">';
                                        }
                                        ?>
                                    </div>
                                </div>
                                <div class="post-content-box">
                                    <div class="post-title">
                                        <h5><?php the_title(); ?></h5>
                                    </div>
                                    <div class="post-info-block">
                                        <span>By <span class="author-name"><?php the_author(); ?></span></span>
                                    </div>
                                </div>
                            </a>
                        </div>
        
                        <?php
                            endwhile;
                            wp_reset_postdata();
                        else:
                            echo '<p>No posts found.</p>';
                        endif;
                        ?>
        
                    </div>
                </div>
            </div>
        </section>
      
        <div class="clearfix"></div>                    
        <section class="home-post-style2">
            <div class="section-title-block">
                <h2>News</h2>
                <span class="more-posts">
                    <a href="<?php echo esc_url(get_category_link(get_category_by_slug('news')->term_id)); ?>">More</a>
                </span>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    <div class="post-content-wrapper">
                        <?php
                        $args = [
                            'posts_per_page' => 5,
                            'category_name'  => 'news', // your category slug here
                            'orderby'        => 'date',
                            'order'          => 'DESC',
                        ];
                        $query = new WP_Query($args);
        
                        if ($query->have_posts()) :
                            while ($query->have_posts()) : $query->the_post(); ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail('medium');
                                                } else {
                                                    // fallback image if no featured image
                                                    echo '<img src="' . esc_url(get_template_directory_uri() . '/img/demo-2.jpg') . '" alt="default image">';
                                                }
                                                ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="post-title">
                                                <h5><?php the_title(); ?></h5>
                                            </div>
                                            <div class="post-info-block">
                                                <span>By <span class="author-name"><?php the_author(); ?></span></span>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            <?php
                            endwhile;
                            wp_reset_postdata();
                        else: ?>
                            <p>No posts found.</p>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </section>
         
        <div class="clearfix"></div>                    
        <section class="home-post-style3">
            <div class="section-title-block">
                <h2>Arts</h2>
                <span class="more-posts">
                    <a href="<?php echo esc_url(get_category_link(get_category_by_slug('arts')->term_id)); ?>">More</a>
                </span>
            </div>
        
            <?php
            // Query 1: 1 main featured post for left side
            $args_main = [
                'posts_per_page' => 1,
                'category_name'  => 'arts',
                'orderby'        => 'date',
                'order'          => 'DESC',
            ];
            $main_query = new WP_Query($args_main);
        
            // Query 2: 2 posts for right side (skip first post)
            $args_right = [
                'posts_per_page' => 2,
                'category_name'  => 'arts',
                'orderby'        => 'date',
                'order'          => 'DESC',
                'offset'         => 1,
            ];
            $right_query = new WP_Query($args_right);
        
            // Query 3: 3 posts for bottom row (skip first 3)
            $args_bottom = [
                'posts_per_page' => 3,
                'category_name'  => 'arts',
                'orderby'        => 'date',
                'order'          => 'DESC',
                'offset'         => 3,
            ];
            $bottom_query = new WP_Query($args_bottom);
            ?>
        
            <div class="row home-post-style3-top">
                <div class="col-lg-6 left-side">
                    <?php if ($main_query->have_posts()) : ?>
                        <div class="post-content-wrapper main-post-wrap">
                            <?php while ($main_query->have_posts()) : $main_query->the_post(); ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail('large');
                                                } else {
                                                    echo '<img src="' . esc_url(get_template_directory_uri() . '/img/demo-2.jpg') . '" alt="default image">';
                                                }
                                                ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="cat-name">
                                                <?php
                                                $cats = get_the_category();
                                                if (!empty($cats)) {
                                                    echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                                }
                                                ?>
                                            </div>
                                            <div class="post-title">
                                                <h2><?php the_title(); ?></h2>
                                            </div>
                                            <div class="desc">
                                                <p><?php echo wp_trim_words(get_the_excerpt(), 20, '...'); ?></p>
                                            </div>
                                            <div class="post-info-block">
                                                <span>By <span class="author-name"><?php the_author(); ?></span></span>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            <?php endwhile; wp_reset_postdata(); ?>
                        </div>
                    <?php endif; ?>
                </div>
        
                <div class="col-lg-6 right-side">
                    <div class="post-content-wrapper">
                        <?php if ($right_query->have_posts()) : ?>
                            <?php while ($right_query->have_posts()) : $right_query->the_post(); ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail('medium');
                                                } else {
                                                    echo '<img src="' . esc_url(get_template_directory_uri() . '/img/demo-2.jpg') . '" alt="default image">';
                                                }
                                                ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="cat-name">
                                                <?php
                                                $cats = get_the_category();
                                                if (!empty($cats)) {
                                                    echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                                }
                                                ?>
                                            </div>
                                            <div class="post-title">
                                                <h3><?php the_title(); ?></h3>
                                            </div>
                                            <div class="desc">
                                                <p><?php echo wp_trim_words(get_the_excerpt(), 15, '...'); ?></p>
                                            </div>
                                            <div class="post-info-block">
                                                <span>By <span class="author-name"><?php the_author(); ?></span></span>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            <?php endwhile; wp_reset_postdata(); ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        
            <div class="row home-post-style3-bottom">
                <div class="col-md-12">
                    <div class="post-content-wrapper">
                        <?php if ($bottom_query->have_posts()) : ?>
                            <?php while ($bottom_query->have_posts()) : $bottom_query->the_post(); ?>
                                <div class="post-content-inner-wrap">
                                    <a href="<?php the_permalink(); ?>">
                                        <div class="post-img-block">
                                            <div class="img-box">
                                                <?php
                                                if (has_post_thumbnail()) {
                                                    the_post_thumbnail('thumbnail');
                                                } else {
                                                    echo '<img src="' . esc_url(get_template_directory_uri() . '/img/demo-2.jpg') . '" alt="default image">';
                                                }
                                                ?>
                                            </div>
                                        </div>
                                        <div class="post-content-box">
                                            <div class="cat-name">
                                                <?php
                                                $cats = get_the_category();
                                                if (!empty($cats)) {
                                                    echo '<span>' . esc_html($cats[0]->name) . '</span>';
                                                }
                                                ?>
                                            </div>
                                            <div class="desc">
                                                <p><?php echo wp_trim_words(get_the_excerpt(), 15, '...'); ?></p>
                                            </div>
                                        </div>
                                    </a>
                                </div>
                            <?php endwhile; wp_reset_postdata(); ?>
                        <?php endif; ?>
                    </div>
                </div>
            </div>
        </section>

    </div>


<?php get_footer(); ?>
