<div class="sidebar">
    <!-- Recent Posts -->
    <div class="sidebar-row">
        <h3 class="sidebar-title">📌 Recent Posts</h3>
        <?php
        $recent_posts = new WP_Query([
            'posts_per_page' => 5,
            'post_status'    => 'publish'
        ]);

        while ($recent_posts->have_posts()) : $recent_posts->the_post(); ?>
            <div class="sidebar-post-items">
                <?php if (has_post_thumbnail()) : ?>
                    <div class="img-box">
                        <a href="<?php the_permalink(); ?>">
                            <?php the_post_thumbnail('thumbnail', ['class' => 'rounded img-fluid', 'style' => 'width:60px; height:60px; object-fit:cover;']); ?>
                        </a>
                    </div>
                <?php endif; ?>
                <h5 class="sidebar-post-item-title">
                    <a href="<?php the_permalink(); ?>">
                        <?php the_title(); ?>
                    </a>
                </h5>
            </div>
        <?php endwhile; wp_reset_postdata(); ?>
    </div>

    <!-- Featured Posts -->
    <div class="sidebar-row">
        <h3 class="sidebar-title">🌟 Featured Posts</h3>
        <?php
        $featured_posts = new WP_Query([
            'meta_key'       => 'is_featured',
            'meta_value'     => '1',
            'posts_per_page' => 5,
            'post_status'    => 'publish'
        ]);

        if ($featured_posts->have_posts()) {
            while ($featured_posts->have_posts()) : $featured_posts->the_post(); ?>
                <div class="sidebar-post-items">
                    <?php if (has_post_thumbnail()) : ?>
                        <div class="img-box">
                            <a href="<?php the_permalink(); ?>">
                                <?php the_post_thumbnail('thumbnail', ['class' => 'rounded img-fluid', 'style' => 'width:60px; height:60px; object-fit:cover;']); ?>
                            </a>
                        </div>
                    <?php endif; ?>
                    <h5 class="sidebar-post-item-title">
                        <a href="<?php the_permalink(); ?>">
                            <?php the_title(); ?>
                        </a>
                    </h5>
                </div>
            <?php endwhile; wp_reset_postdata();
        }else{
            ?><h5>No featured posts found.</h5><?php
        }?>
    </div>
</div>